be.fgov.ehealth.bcp.protocol.v3

## Class ServiceList

- java.lang.Object
- - be.fgov.ehealth.bcp.protocol.v3.ServiceList

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2026-04-29T11:40:05+02:00",
                 comments="JAXB RI v2.3.7")
      public class ServiceList
      extends Object
      implements Serializable

  Java class for anonymous complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType>
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="PolicyDefinition" maxOccurs="unbounded">
                 <complexType>
                   <complexContent>
                     <extension base="{urn:be:fgov:ehealth:bcp:protocol:v3}PolicyDefinitionType">
                     </extension>
                   </complexContent>
                 </complexType>
               </element>
               <element name="Service" maxOccurs="unbounded">
                 <complexType>
                   <complexContent>
                     <extension base="{urn:be:fgov:ehealth:bcp:protocol:v3}ServiceType">
                     </extension>
                   </complexContent>
                 </complexType>
               </element>
               <element ref="{http://www.w3.org/2000/09/xmldsig#}Signature"/>
             </sequence>
             <attribute name="Id" use="required" type="{http://www.w3.org/2001/XMLSchema}ID" />
             <attribute name="IssueInstant" use="required" type="{http://www.w3.org/2001/XMLSchema}dateTime" />
             <attribute name="Environment" use="required" type="{http://www.w3.org/2001/XMLSchema}anySimpleType" />
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ServiceList()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getEnvironment()` Gets the value of the environment property.
    `String` | `getId()` Gets the value of the id property.
    `org.joda.time.DateTime` | `getIssueInstant()` Gets the value of the issueInstant property.
    `List<PolicyDefinition>` | `getPolicyDefinitions()` Gets the value of the policyDefinitions property.
    `List<Service>` | `getServices()` Gets the value of the services property.
    `Signature` | `getSignature()` Gets the value of the signature property.
    `void` | `setEnvironment(String value)` Sets the value of the environment property.
    `void` | `setId(String value)` Sets the value of the id property.
    `void` | `setIssueInstant(org.joda.time.DateTime value)` Sets the value of the issueInstant property.
    `void` | `setSignature(Signature value)` Sets the value of the signature property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ServiceList

          public ServiceList()

  - ### Method Detail

    - #### getPolicyDefinitions

          public List<PolicyDefinition> getPolicyDefinitions()

      Gets the value of the policyDefinitions property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the policyDefinitions property.

      For example, to add a new item, do as follows:

              getPolicyDefinitions().add(newItem);

      Objects of the following type(s) are allowed in the list `PolicyDefinition`

    - #### getServices

          public List<Service> getServices()

      Gets the value of the services property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the services property.

      For example, to add a new item, do as follows:

              getServices().add(newItem);

      Objects of the following type(s) are allowed in the list `Service`

    - #### getSignature

          public Signature getSignature()

      Gets the value of the signature property.
      Returns:
        possible object is `Signature`

    - #### setSignature

          public void setSignature(Signature value)

      Sets the value of the signature property.
      Parameters:
        `value` - allowed object is `Signature`

    - #### getId

          public String getId()

      Gets the value of the id property.
      Returns:
        possible object is `String`

    - #### setId

          public void setId(String value)

      Sets the value of the id property.
      Parameters:
        `value` - allowed object is `String`

    - #### getIssueInstant

          public org.joda.time.DateTime getIssueInstant()

      Gets the value of the issueInstant property.
      Returns:
        possible object is `String`

    - #### setIssueInstant

          public void setIssueInstant(org.joda.time.DateTime value)

      Sets the value of the issueInstant property.
      Parameters:
        `value` - allowed object is `String`

    - #### getEnvironment

          public String getEnvironment()

      Gets the value of the environment property.
      Returns:
        possible object is `String`

    - #### setEnvironment

          public void setEnvironment(String value)

      Sets the value of the environment property.
      Parameters:
        `value` - allowed object is `String`

Connector Packaging generic 4.9.5 API
Copyright © {inceptionYear}-2026 eHealth. All Rights Reserved.